%define rev 69484
%define ver 1.2.0
%define _name e_dbus
Name: edbus
Version: %ver.%rev
Release: alt1

Summary: Edbus tools
License: BSD-like
Group: System/Libraries
Url: http://trac.enlightenment.org/e/browser/trunk/e_dbus

Packager: Serg A. Kotlyarov <shadowsbrother@gmail.com>

Source: %_name.tar

Requires: dbus

# Automatically added by buildreq on Mon Feb 27 2012 (-bi)
BuildRequires: doxygen gcc-c++ glibc-devel-static libdbus-devel libecore-devel libevas-devel libeina-devel glibc-pthread

%description
Some basic Edbus tools to deal with edbus-based apps messages.

%package -n lib%name
Summary: Enlightenment DBUS access library
Group: System/Libraries

%description -n lib%name
This is the start of some basic convenience wrappers around dbus to ease
integrating dbus with EFL based applications.

This package contains shared library required for %name-based software.

%package -n lib%name-devel
Summary: Include files for development with Enlightenment DBUS Library
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This is the start of some basic convenience wrappers around dbus to ease
integrating dbus with EFL based applications.

This package contains include files required for development %name-based software.

%package -n %name-docs
Summary: Documentation for edbus
Group: Documentation
BuildArch: noarch

%description -n %name-docs
Documentation files for edbus

%prep
%setup -q -n %_name

%build
./autogen.sh \
--prefix=/usr \
--enable-doc \
--enable-edbus-notify-send \
--enable-enotify \
--enable-ebluez \
--enable-eofono \
--enable-eukit \
--enable-ehal
#--enable-econnman
#--disable-ehal

%make_build

%install
%make_install DESTDIR=%buildroot install
rm -f %buildroot%_libdir/*.a
cd doc && doxygen Doxyfile

%files
%_bindir/*
%_datadir/e_dbus/logo.png

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_pkgconfigdir/*.pc
%_libdir/*.so
%_includedir/*

%files -n %name-docs
%doc AUTHORS COPYING README doc/html doc/latex

%changelog
